<template>
  <custom-table :data="data" :headers="headers" :pageSize="pageSize" :pageDisplayCount="4" />
</template>

<script>
import CustomTable from '@/components/custom-controller/CustomTable.vue'
import eventBus from "@/plugins/eventBus";
import { ref, onMounted, onBeforeUnmount } from 'vue';

export default {
  components:{
    CustomTable
  },
  setup() {
    const panel = ref([0, 1]);
    const readonly = ref(false);
    const data = ref([
      ['Prim', 'T','31.07.2017','TL',10000],
      ['Prim', 'T','31.07.2017','TL',10000],
      ['Prim', 'T','31.07.2017','TL',10000],
    ]);
    const headers = ref(['Tip', 'T/İ', 'Vade Tarihi', 'Döviz Cinsi', 'Tutar']);
    const pageSize = ref(3);

    onMounted(() => {
      eventBus.on('reasuror-process-type', (processType) => {
        if (processType === 'treteSelected') {
          headers.value = ['Tip', 'T/İ', 'Vade Tarihi', 'Döviz Cinsi', 'Tutar'];
        } else if (processType === 'ihtiyariSelected') {
          headers.value = ['Tip', 'Hasar Poliçe No' ,'T/İ', 'Vade Tarihi', 'Döviz Cinsi', 'Tutar'];
        }
      });
    });

    onBeforeUnmount(() => {
      eventBus.off('reasuror-process-type');
    });

    return {
      panel,
      readonly,
      data,
      headers,
      pageSize
    };
  }
}
</script>

<style>

</style>
